Bug 730970 (jhdf5) - Review Request: jhdf5 - Java HDF5 Object Package
Summary: Review Request: jhdf5 - Java HDF5 Object Package
Keywords:
Status: CLOSED ERRATA
Alias: jhdf5
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 472639 scilab
TreeView+ depends on / blocked
 
Reported: 2011-08-16 12:36 UTC by Clément DAVID
Modified: 2011-11-14 08:11 UTC (History)
5 users (show)

Fixed In Version: jhdf5-2.7-5.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-11-14 00:50:37 UTC
rdieter: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Clément DAVID 2011-08-16 12:36:26 UTC
Spec URL: http://davidclement8298.perso.neuf.fr/fedora/jhdf5/jhdf5.spec
SRPM URL: http://davidclement8298.perso.neuf.fr/fedora/jhdf5/jhdf5-2.7-1.fc14.src.rpm

Description: 
This spec file package HDF Java API, especially HDF5 Java API but also HDF4 Java API and hdfview which is a GUI application to view HDF4/5 files. All other dependencies has been removed (netcdf and fits Java API).

Comment 1 Rex Dieter 2011-08-27 15:15:36 UTC
Marking assigned, since sylvestre set the review flag (correct me if your intention was other than reviewing this)

Scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=3305603

(which failed by the way. :( )

Comment 2 Rex Dieter 2011-08-27 15:29:45 UTC
Wrt package review, I can dust off my java skills, and try to help determine the build failure (and help with other review tasks, if needed).

Interesting, a local build succeeds, so I suspect it's only a matter of missing BuildRequires

Comment 3 Rex Dieter 2011-08-27 15:33:52 UTC
The build fails only on i686, seems there's some hard-coded references to /usr/lib64, ie,
gcc -shared  -o ../../lib/linux/libjhdf.so  hdfstructsutil.o hdfImp.o hdfvgroupImp.o hdfvdataImp.o hdfsdsImp.o hdfanImp.o hdfdfanImp.o hdfdfsdImp.o hdfr24Imp.o hdfdfpalImp.o hdfr8Imp.o hdfgrImp.o hdfheImp.o hdfdfuImp.o hdfhxImp.o hdfvfImp.o hdfvhImp.o hdfvqImp.o hdfvsqImp.o hdfexceptionImp.o hdfdfcompImp.o hdfnativeImp.o  /usr/lib64/hdf/libmfhdf.a /usr/lib64/hdf/libdf.a  -lz -ljpeg -lm
gcc: error: /usr/lib64/hdf/libmfhdf.a: No such file or directory
gcc: error: /usr/lib64/hdf/libdf.a: No such file or directory

Comment 4 Sylvestre Ledru 2011-08-27 16:30:01 UTC
It was my intention ;)
Thanks for taking care of this.

Comment 5 Clément DAVID 2011-09-05 19:37:03 UTC
Spec URL: http://davidclement8298.perso.neuf.fr/fedora/jhdf5/jhdf5.spec
SRPM URL: http://davidclement8298.perso.neuf.fr/fedora/jhdf5/jhdf5-2.7-1.fc16.src.rpm

Koji f16 build: http://koji.fedoraproject.org/koji/taskinfo?taskID=3325529

Thanks for reviewing it and sorry for the delay. I have updated the spec file (mI have missed a %_libdir).

Comment 6 Clément DAVID 2011-09-14 19:17:43 UTC
step back from the review

Everything seems fine for me (scilab build and run successfully).

Comment 7 Sylvestre Ledru 2011-10-12 17:24:32 UTC
ping to the reviewers ?

Comment 8 Rex Dieter 2011-10-24 16:47:19 UTC
OK, got some time...

Comment 9 Rex Dieter 2011-10-24 17:01:38 UTC
hdfview.noarch: W: spurious-executable-perm /usr/share/doc/hdfview-2.7/docs/build_src_unix.html
hdfview.noarch: W: spurious-executable-perm /usr/share/doc/hdfview-2.7/docs/hdfview/UsersGuide/ug04treeview.html
hdfview.noarch: W: spurious-executable-perm /usr/share/doc/hdfview-2.7/docs/hdfview/UsersGuide/ug03objects.html
hdfview.noarch: W: spurious-executable-perm /usr/share/doc/hdfview-2.7/docs/hdfview/ModularGuide/palette_view.gif
hdfview.noarch: W: spurious-executable-perm /usr/share/doc/hdfview-2.7/docs/hdfview/ModularGuide/index.html
hdfview.noarch: W: spurious-executable-perm /usr/share/doc/hdfview-2.7/docs/hdfview/UsersGuide/images/property_userblock.gif
hdfview.noarch: W: spurious-executable-perm /usr/share/doc/hdfview-2.7/docs/hdfview/ModularGuide/io_classes.gif
hdfview.noarch: W: spurious-executable-perm /usr/share/doc/hdfview-2.7/docs/footer.js
hdfview.noarch: W: spurious-executable-perm /usr/share/doc/hdfview-2.7/docs/hdfview/UsersGuide/images/image_indexed_mapping.gif
hdfview.noarch: W: spurious-executable-perm /usr/share/doc/hdfview-2.7/docs/hdfview/UsersGuide/images/hdf-obj.jpg
hdfview.noarch: W: spurious-executable-perm /usr/share/doc/hdfview-2.7/docs/hdfview/UsersGuide/images/module_defaults.gif
hdfview.noarch: W: spurious-executable-perm /usr/share/doc/hdfview-2.7/docs/hdfview/UsersGuide/images/icon_folderclose.gif
hdfview.noarch: W: spurious-executable-perm /usr/share/doc/hdfview-2.7/docs/hdfview/UsersGuide/images/dataset_open_as.gif
hdfview.noarch: W: spurious-executable-perm /usr/share/doc/hdfview-2.7/docs/index.html
hdfview.noarch: W: spurious-executable-perm /usr/share/doc/hdfview-2.7/docs/hdfview/UsersGuide/images/new_image.gif
hdfview.noarch: W: spurious-executable-perm /usr/share/doc/hdfview-2.7/docs/hdfview/UsersGuide/images/property_general_group.gif
hdfview.noarch: W: spurious-executable-perm /usr/share/doc/hdfview-2.7/docs/hdfview/UsersGuide/ug02start.html
hdfview.noarch: W: spurious-executable-perm /usr/share/doc/hdfview-2.7/docs/hdfview/UsersGuide/images/save_as_text.gif
hdfview.noarch: W: spurious-executable-perm /usr/share/doc/hdfview-2.7/docs/hdfview/UsersGuide/images/menu_image.gif
hdfview.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/hdfview-2.7/docs/hdfview/UsersGuide/RELEASE.txt
hdfview.noarch: W: spurious-executable-perm /usr/share/doc/hdfview-2.7/docs/hdfview/UsersGuide/images/property_general_dataset.gif
hdfview.noarch: W: spurious-executable-perm /usr/share/doc/hdfview-2.7/docs/hdfview/UsersGuide/images/dataset_3d.gif
hdfview.noarch: W: spurious-executable-perm /usr/share/doc/hdfview-2.7/docs/hdfview/UsersGuide/ug06imageview.html
hdfview.noarch: W: spurious-executable-perm /usr/share/doc/hdfview-2.7/docs/hdfview/UsersGuide/images/icon_table.gif
hdfview.noarch: W: spurious-executable-perm /usr/share/doc/hdfview-2.7/docs/hdfview/UsersGuide/images/tree_view.gif
hdfview.noarch: W: spurious-executable-perm /usr/share/doc/hdfview-2.7/docs/hdfview/UsersGuide/images/menu_window.gif
hdfview.noarch: W: spurious-executable-perm /usr/share/doc/hdfview-2.7/docs/hdfview/UsersGuide/images/dataset_reorder.gif
hdfview.noarch: W: spurious-executable-perm /usr/share/doc/hdfview-2.7/docs/hdf-data-links.html
hdfview.noarch: W: spurious-executable-perm /usr/share/doc/hdfview-2.7/docs/hdfview/phaseout_jhv.html
hdfview.noarch: W: spurious-executable-perm /usr/share/doc/hdfview-2.7/docs/hdfview/UsersGuide/images/image_palette_modify.gif
hdfview.noarch: W: spurious-executable-perm /usr/share/doc/hdfview-2.7/docs/hdfview/UsersGuide/index.html
hdfview.noarch: W: spurious-executable-perm /usr/share/doc/hdfview-2.7/docs/hdfview/UsersGuide/images/new_dataset.gif
hdfview.noarch: W: spurious-executable-perm /usr/share/doc/hdfview-2.7/docs/hdfview/UsersGuide/images/icon_image.gif
hdfview.noarch: W: spurious-executable-perm /usr/share/doc/hdfview-2.7/docs/hdfview/UsersGuide/images/file_manager.gif
hdfview.noarch: W: spurious-executable-perm /usr/share/doc/hdfview-2.7/docs/hdfview/UsersGuide/images/dataset_subset_nested.gif
hdfview.noarch: W: spurious-executable-perm /usr/share/doc/hdfview-2.7/docs/hdfview/UsersGuide/images/dataset_subset_example2.gif
hdfview.noarch: W: spurious-executable-perm /usr/share/doc/hdfview-2.7/docs/hdfview/UsersGuide/images/menu_popup.gif
hdfview.noarch: W: spurious-executable-perm /usr/share/doc/hdfview-2.7/docs/hdfview/UsersGuide/images/dataset_transpose.gif
hdfview.noarch: W: spurious-executable-perm /usr/share/doc/hdfview-2.7/docs/patch_notes.html
hdfview.noarch: E: wrong-script-end-of-line-encoding /usr/share/doc/hdfview-2.7/docs/patch_notes.html
hdfview.noarch: W: spurious-executable-perm /usr/share/doc/hdfview-2.7/docs/hdfview/ModularGuide/default_modules.gif
hdfview.noarch: W: spurious-executable-perm /usr/share/doc/hdfview-2.7/docs/hdfview/UsersGuide/images/dataset_2d.gif
hdfview.noarch: W: spurious-executable-perm /usr/share/doc/hdfview-2.7/docs/hdfview/UsersGuide/ug01introduction.html
hdfview.noarch: W: spurious-executable-perm /usr/share/doc/hdfview-2.7/docs/hdfview/UsersGuide/images/property_attribute.gif
hdfview.noarch: W: spurious-executable-perm /usr/share/doc/hdfview-2.7/docs/hdfview/UsersGuide/images/module_add_fileformat.gif
hdfview.noarch: W: spurious-executable-perm /usr/share/doc/hdfview-2.7/docs/hdfview/UsersGuide/images/menu_option_addfileformat.gif
hdfview.noarch: W: spurious-executable-perm /usr/share/doc/hdfview-2.7/docs/hdfview/UsersGuide/images/dataset_text.gif
hdfview.noarch: W: spurious-executable-perm /usr/share/doc/hdfview-2.7/docs/hdfview/UsersGuide/images/dataset_compound_2d.gif
hdfview.noarch: W: spurious-executable-perm /usr/share/doc/hdfview-2.7/docs/hdfview/UsersGuide/images/module_select_imageview.gif
hdfview.noarch: W: spurious-executable-perm /usr/share/doc/hdfview-2.7/docs/hdfview/ModularGuide/components.gif
hdfview.noarch: W: spurious-executable-perm /usr/share/doc/hdfview-2.7/docs/hdfview/UsersGuide/images/dataset_subset_compound.gif
hdfview.noarch: W: spurious-executable-perm /usr/share/doc/hdfview-2.7/docs/hdfview/UsersGuide/images/icon_chart.gif
hdfview.noarch: W: spurious-executable-perm /usr/share/doc/hdfview-2.7/docs/hdfview/UsersGuide/images/image_true_color.gif
hdfview.noarch: W: spurious-executable-perm /usr/share/doc/hdfview-2.7/docs/build_src_windows.html
hdfview.noarch: W: spurious-executable-perm /usr/share/doc/hdfview-2.7/docs/hdfview/ModularGuide/property_file.gif
hdfview.noarch: W: spurious-executable-perm /usr/share/doc/hdfview-2.7/docs/hdfview/UsersGuide/images/chart_histogram.gif
hdfview.noarch: W: spurious-executable-perm /usr/share/doc/hdfview-2.7/docs/hdfview/ModularGuide/hdfview.gif
hdfview.noarch: W: spurious-executable-perm /usr/share/doc/hdfview-2.7/docs/hdfview/UsersGuide/images/module_select_tableview.gif
hdfview.noarch: W: spurious-executable-perm /usr/share/doc/hdfview-2.7/docs/hdfview/UsersGuide/images/icon_dataset.gif
hdfview.noarch: W: spurious-executable-perm /usr/share/doc/hdfview-2.7/docs/hdfview/UsersGuide/images/design_components.gif
hdfview.noarch: W: spurious-executable-perm /usr/share/doc/hdfview-2.7/docs/hdfview/ModularGuide/tree_view.gif
hdfview.noarch: W: spurious-executable-perm /usr/share/doc/hdfview-2.7/docs/hdfview/UsersGuide/images/hdfview.gif
hdfview.noarch: W: spurious-executable-perm /usr/share/doc/hdfview-2.7/docs/hdfview/UsersGuide/images/icon_hdf5.gif
hdfview.noarch: W: spurious-executable-perm /usr/share/doc/hdfview-2.7/docs/title.gif
hdfview.noarch: W: spurious-executable-perm /usr/share/doc/hdfview-2.7/docs/hdfview/UsersGuide/images/new_attribute.gif
hdfview.noarch: W: spurious-executable-perm /usr/share/doc/hdfview-2.7/docs/hdfview/UsersGuide/ug05spreadsheet.html
hdfview.noarch: W: spurious-executable-perm /usr/share/doc/hdfview-2.7/docs/hdfview/UsersGuide/images/chart_line.gif
hdfview.noarch: W: spurious-executable-perm /usr/share/doc/hdfview-2.7/docs/hdfview/UsersGuide/images/menu_file.gif
hdfview.noarch: W: spurious-executable-perm /usr/share/doc/hdfview-2.7/docs/hdfview/UsersGuide/images/dataset_subset_example1.gif
hdfview.noarch: W: spurious-executable-perm /usr/share/doc/hdfview-2.7/docs/hdfview/UsersGuide/images/menu_option.gif
hdfview.noarch: W: spurious-executable-perm /usr/share/doc/hdfview-2.7/docs/hdfview/UsersGuide/images/image_contour.gif
hdfview.noarch: W: spurious-executable-perm /usr/share/doc/hdfview-2.7/docs/hdfview/ModularGuide/attribute_view.gif
hdfview.noarch: W: spurious-executable-perm /usr/share/doc/hdfview-2.7/docs/hdfview/UsersGuide/images/menu_help.gif
hdfview.noarch: W: spurious-executable-perm /usr/share/doc/hdfview-2.7/docs/hdfview/UsersGuide/images/new_file.gif
hdfview.noarch: W: spurious-executable-perm /usr/share/doc/hdfview-2.7/docs/hdfview/hdfview.gif
hdfview.noarch: W: spurious-executable-perm /usr/share/doc/hdfview-2.7/docs/hdfview/UsersGuide/images/dataset_subset_example3.gif
hdfview.noarch: W: spurious-executable-perm /usr/share/doc/hdfview-2.7/docs/hdfview/UsersGuide/ug07textview.html
hdfview.noarch: W: spurious-executable-perm /usr/share/doc/hdfview-2.7/docs/hdfview/UsersGuide/images/icon_folderopen.gif
hdfview.noarch: W: spurious-executable-perm /usr/share/doc/hdfview-2.7/docs/hdfview/ModularGuide/addfileformat.gif
hdfview.noarch: W: spurious-executable-perm /usr/share/doc/hdfview-2.7/docs/hdfview/UsersGuide/images/class_diagram_object.jpg
hdfview.noarch: W: spurious-executable-perm /usr/share/doc/hdfview-2.7/COPYING
hdfview.noarch: W: spurious-executable-perm /usr/share/doc/hdfview-2.7/docs/header.js
hdfview.noarch: W: spurious-executable-perm /usr/share/doc/hdfview-2.7/docs/hdfview/UsersGuide/images/image_palette.gif
hdfview.noarch: W: spurious-executable-perm /usr/share/doc/hdfview-2.7/docs/hdfview/UsersGuide/images/icon_hdf4.gif
hdfview.noarch: W: spurious-executable-perm /usr/share/doc/hdfview-2.7/docs/hdfview/UsersGuide/images/dataset_compound.gif
hdfview.noarch: W: no-manual-page-for-binary hdfview
jhdf.x86_64: W: spurious-executable-perm /usr/share/doc/jhdf-2.7/COPYING
jhdf5.x86_64: W: spurious-executable-perm /usr/share/doc/jhdf5-2.7/COPYING
jhdf5-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/hdf-java/native/hdf5lib/h5util.c
jhdf5-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/hdf-java/native/hdf5lib/h5sImp.c
jhdf5-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/hdf-java/native/hdflib/hdfvdataImp.c
jhdf5-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/hdf-java/native/hdf5lib/h5oImp.c
jhdf5-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/hdf-java/native/hdflib/hdfsdsImp.c
jhdf5-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/hdf-java/native/hdf5lib/h5util.h
jhdf5-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/hdf-java/native/hdflib/hdfr8Imp.c
jhdf5-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/hdf-java/native/hdflib/hdfexceptionImp.c
jhdf5-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/hdf-java/native/hdflib/hdfstructsutil.c
jhdf5-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/hdf-java/native/hdf5lib/h5Imp.c
jhdf5-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/hdf-java/native/hdf5lib/h5Constants.c
jhdf5-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/hdf-java/native/hdf5lib/exceptionImp.c
jhdf5-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/hdf-java/native/hdflib/hdfImp.c
jhdf5-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/hdf-java/native/hdf5lib/h5zImp.c
jhdf5-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/hdf-java/native/hdf5lib/h5rImp.c
jhdf5-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/hdf-java/native/hdflib/hdfheImp.c
jhdf5-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/hdf-java/native/hdflib/hdfr24Imp.c
jhdf5-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/hdf-java/native/hdflib/hdfdfsdImp.c
jhdf5-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/hdf-java/native/hdflib/hdfhxImp.c
jhdf5-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/hdf-java/native/hdflib/hdfdfanImp.c
jhdf5-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/hdf-java/native/hdflib/hdfdfpalImp.c
jhdf5-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/hdf-java/native/hdf5lib/h5dImp.c
jhdf5-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/hdf-java/native/hdflib/hdfgrImp.c
jhdf5-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/hdf-java/native/hdflib/hdfnativeImp.c
jhdf5-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/hdf-java/native/hdf5lib/h5iImp.c
jhdf5-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/hdf-java/native/hdf5lib/h5lImp.c
jhdf5-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/hdf-java/native/hdf5lib/h5jni.h
jhdf5-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/hdf-java/native/hdflib/hdfdfuImp.c
jhdf5-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/hdf-java/native/hdf5lib/h5eImp.c
jhdf5-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/hdf-java/native/hdflib/hdfvgroupImp.c
jhdf5-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/hdf-java/native/hdflib/hdfvqImp.c
jhdf5-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/hdf-java/native/hdf5lib/h5aImp.c
jhdf5-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/hdf-java/native/hdf5lib/h5fImp.c
jhdf5-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/hdf-java/native/hdf5lib/h5tImp.c
jhdf5-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/hdf-java/native/hdflib/hdfvhImp.c
jhdf5-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/hdf-java/native/hdf5lib/h5pImp.c
jhdf5-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/hdf-java/native/hdflib/hdfanImp.c
jhdf5-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/hdf-java/native/hdflib/hdfvfImp.c
jhdf5-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/hdf-java/native/hdflib/hdfvsqImp.c
jhdf5-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/hdf-java/native/hdf5lib/nativeData.c
jhdf5-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/hdf-java/native/hdf5lib/h5gImp.c
jhdf5-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/hdf-java/native/hdflib/hdfdfcompImp.c
5 packages and 0 specfiles checked; 1 errors, 129 warnings.

1.  SHOULD:  those are all mostly harmless, but could be avoided by removing the spurious-executable-perm's of the affected files prior to packaging (e.g. chmod -x in %prep somewhere)

2.  MUST
remove
BuildRequires:  rpm-build
per https://fedoraproject.org/wiki/Packaging/Guidelines#Exceptions_2

naming: OK

license: OK

scriptlets: NOT OK
3. MUST: looks like these (%post, %postun, etc...) all should be for the hdfview subpkg, not the main one.

.desktop file validation: NOT OK
4. MUST: please run desktop-file-validate or desktop-file-install on /usr/share/applications/hdfview.desktop per https://fedoraproject.org/wiki/Packaging/Guidelines#desktop-file-install_usage

and note current errors:
desktop-file-validate /usr/share/applications/hdfview.desktop
/usr/share/applications/hdfview.desktop: warning: key "Encoding" in group "Desktop Entry" is deprecated
/usr/share/applications/hdfview.desktop: error: (will be fatal in the future): value "hdfview.png" for key "Icon" in group "Desktop Entry" is an icon name with an extension, but there should be no extension as described in the Icon Theme Specification if the value is not an absolute path


directory ownership: NOT OK
5.  MUST add unowned dirs
%_libdir/jhdf/
%_libdir/jhdf5/

probably easyfix, change
%{_libdir}/jhdf5/*.jar
and
%{_libdir}/jhdf/*.jar
to
%{_libdir}/jhdf5/
and
%{_libdir}/jhdf/
respectively (or add %dir entries, up to you).

Comment 10 Clément DAVID 2011-10-26 16:11:33 UTC
Spec URL: http://davidcl.fedorapeople.org/jhdf5.spec
SRPM URL:
http://davidcl.fedorapeople.org/jhdf5-2.7-3.fc16.src.rpm

Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=3461714

I fixed spurious-executable-perm warnings, and other remarks. I took some times trying to use make install but output path are non-standard so I fall back to the previous method.

Parallel build is also not supported as it caused some failure when building with koji.

Comment 11 Rex Dieter 2011-10-30 06:09:05 UTC
missed item 2, MUST remove
BuildRequires:  rpm-build

but that's relatively minor and easy enough to fix.  I'll let it to you to remove prior to importing.

Otherwise, excellent touch improving the .desktop file, icons, and associate mimetypes.

APPROVED.

Comment 13 Alexander Kurtakov 2011-11-03 07:51:36 UTC
Rex approved the package. You need to create a scm request now in order to get the git repo created. See https://fedoraproject.org/wiki/Package_SCM_admin_requests#New_Packages

Comment 14 Clément DAVID 2011-11-03 09:22:08 UTC
New Package SCM Request
=======================
Package Name: jhdf5
Short Description: Java HDF5 Object Package
Owners: davidcl
Branches: f15 f16 el6
InitialCC:

Comment 15 Gwyn Ciesla 2011-11-03 12:25:59 UTC
Git done (by process-git-requests).

Rex, please take ownership of review BZs.  Thanks!

Comment 16 Fedora Update System 2011-11-03 16:56:39 UTC
jhdf5-2.7-5.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/jhdf5-2.7-5.fc16

Comment 17 Fedora Update System 2011-11-03 16:59:28 UTC
jhdf5-2.7-5.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/jhdf5-2.7-5.fc15

Comment 18 Clément DAVID 2011-11-03 17:05:33 UTC
Thanks to everyone involved in this review and especially to Rex, feel free to request rights on https://admin.fedoraproject.org/pkgdb/acls/name/jhdf5 .

Comment 19 Fedora Update System 2011-11-04 20:29:42 UTC
jhdf5-2.7-5.fc15 has been pushed to the Fedora 15 testing repository.

Comment 20 Fedora Update System 2011-11-14 00:50:37 UTC
jhdf5-2.7-5.fc16 has been pushed to the Fedora 16 stable repository.

Comment 21 Fedora Update System 2011-11-14 00:52:26 UTC
jhdf5-2.7-5.fc15 has been pushed to the Fedora 15 stable repository.


Note You need to log in before you can comment on or make changes to this bug.